function langlist_init()
{
    num=split(lang,a,";");
    langnum=0;

    for(i=1;i<=num;++i)
    {
	langlist[langnum++]=a[i];
	if (a[i] ~ /_/) {
	    sub(/_.*/,"",a[i]);
	    langlist[langnum++] = a[i];
	}
    }
    langlist[langnum++]="en_US";
}

function langlist_find()
{
    for(i=0;i<langnum;++i)
    {
	l = name[langlist[i]];
	if (l) return l;
    }
}

function do_output()
{
    if (fname) print fname,required,list,conflicts,license,langlist_find();
}

function do_reset()
{
    fname=gensub(/.*\/([^/]+)\.directory$/,"\\1","",FILENAME);
    required="no";
    list="notfound";
    conflicts="notfound";
    license="notfound";
    for(i in name) delete name[i];
}

BEGIN { FS="[[:space:]]*=[[:space:]]*"; OFS="\t"; langlist_init(); do_reset() }

/^X-Alterator-PackageList[[:space:]]*=/ { list=$2 }
/^X-Alterator-Conflicts[[:space:]]*=/ { conflicts=$2 }
/^X-Alterator-Required[[:space:]]*=/ { required=$2 }
/^X-Alterator-License[[:space:]]*=/ { license=$2 }

/^Name[[:space:]]*=/ { name["en_US"]=$2; }
/^Name\[[a-zA-Z_]+\][[:space:]]*=/  { name[gensub(/Name\[([^\]]+)\]/,"\\1","",$1)]=$2; }

/\[Desktop Entry\]/ { do_output(); do_reset(); }

END { do_output(); }
